import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.answer_request import answer_request

class TestDetail:
    data = BaseRequest().api_load(path_setting.DETAIL)
    detail_case, detail_data = get_ids(data, "detail")

    @pytest.mark.parametrize("param", detail_data, ids=detail_case)
    def test_detail(self, param):
       # print(param["detail"])
        r = answer_request().detail(param["current_city_id"], param["answer_id"])
        if r["error"] == 1:
            assert r["message"] == param["assert"]
        # if r["error"] == 0:
        #     assert r["error"] == param["assert"]
        # if r["error"] == 1:
        #     assert r["error"] == param["assert"]